Modify

Opened 5 years ago

Closed 5 years ago

Last modified 5 years ago

#11442 closed defect (fixed)

"Toolbar action" bug w/ 'notes' & normal dialogs.

Reported by: rickmastfan67 Owned by: team
Priority: minor Milestone: 15.08
Component: Core notes Version: latest
Keywords: Cc:

Description

Steps to reproduce:

  1. Start JOSM.
  2. Download any OSM data from the database.
  3. Right click on the toolbar and then click the 'Configure toolbar' text.

What happens:
Toolbar action bug shows up in the console.

What should happen:
No toolbar action problems.

INFO: Toolbar action dialogs/notes/note_open overwritten: org.openstreetmap.josm.actions.DownloadNotesInViewAction gets org.openstreetmap.josm.gui.dialogs.ToggleDialog$ToggleDialogAction
Repository Root: http://josm.openstreetmap.de/svn
Build-Date: 2015-05-17 01:32:30
Last Changed Author: Don-vip
Revision: 8376
Repository UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
Relative URL: ^/trunk
URL: http://josm.openstreetmap.de/svn/trunk
Last Changed Date: 2015-05-17 03:24:57 +0200 (Sun, 17 May 2015)
Last Changed Rev: 8376

Identification: JOSM/1.5 (8376 en) Windows 7 64-Bit
Memory Usage: 361 MB / 1820 MB (255 MB allocated, but free)
Java version: 1.7.0_79, Oracle Corporation, Java HotSpot(TM) 64-Bit Server VM
Dataset consistency test: No problems found

Plugins:
- ImageryCache (31083)
- OpeningHoursEditor (30962)
- buildings_tools (31120)
- measurement (30892)
- mirrored_download (30962)
- osmarender (30892)
- reverter (31120)
- turnrestrictions (31034)
- undelete (30892)
- utilsplugin2 (31120)

Attachments (0)

Change History (4)

comment:1 Changed 5 years ago by rickmastfan67

Component: CoreCore notes

Add another one to the list that's showing up now too.

INFO: Toolbar action dialogs/notes/note_open overwritten: org.openstreetmap.josm.gui.dialogs.ToggleDialog$ToggleDialogAction gets org.openstreetmap.josm.actions.DownloadNotesInViewAction

To get this one to show up, follow these additional steps:

  1. Close the 'Preference' window.
  2. Repeat Step 3.

What happens:
The new error message above shows up in the console and then the original one shows up again right afterwards.

Repository Root: http://josm.openstreetmap.de/svn
Build-Date: 2015-06-11 01:32:10
Last Changed Author: Don-vip
Revision: 8487
Repository UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
Relative URL: ^/trunk
URL: http://josm.openstreetmap.de/svn/trunk
Last Changed Date: 2015-06-11 01:00:43 +0200 (Thu, 11 Jun 2015)
Last Changed Rev: 8487

Identification: JOSM/1.5 (8487 en) Windows 7 64-Bit
Memory Usage: 359 MB / 1820 MB (228 MB allocated, but free)
Java version: 1.7.0_79, Oracle Corporation, Java HotSpot(TM) 64-Bit Server VM

Plugins:
- ImageryCache (31148)
- OpeningHoursEditor (31241)
- buildings_tools (31241)
- measurement (31241)
- mirrored_download (31241)
- osmarender (31241)
- reverter (31241)
- turnrestrictions (31241)
- undelete (31241)
- utilsplugin2 (31241)

comment:2 Changed 5 years ago by rickmastfan67

This is still happening with r8658.

Repository Root: http://josm.openstreetmap.de/svn
Build-Date: 2015-08-12 01:32:18
Last Changed Author: Don-vip
Revision: 8658
Repository UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
Relative URL: ^/trunk
URL: http://josm.openstreetmap.de/svn/trunk
Last Changed Date: 2015-08-11 23:34:03 +0200 (Tue, 11 Aug 2015)
Last Changed Rev: 8658

Identification: JOSM/1.5 (8658 en) Windows 7 64-Bit
Memory Usage: 638 MB / 1820 MB (45 MB allocated, but free)
Java version: 1.7.0_79, Oracle Corporation, Java HotSpot(TM) 64-Bit Server VM
Dataset consistency test: No problems found

Plugins:
- OpeningHoursEditor (31241)
- buildings_tools (31361)
- measurement (31289)
- mirrored_download (31294)
- osmarender (31241)
- reverter (31241)
- turnrestrictions (31241)
- undelete (31241)
- utilsplugin2 (31463)

comment:3 Changed 5 years ago by simon04

Resolution: fixed
Status: newclosed

In 8663/josm:

fix #11442 - "Toolbar action" bug w/ 'notes' & normal dialogs

comment:4 Changed 5 years ago by simon04

Milestone: 15.08

Modify Ticket

Change Properties
Set your email in Preferences
Action
as closed The owner will remain team.
as The resolution will be set.
The resolution will be deleted.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.